function validarHtmlArchivos() {
    var valor = document.getElementById('adjuntar').value;

    $html = "";
    for ($i = 0; $i < valor; $i++) {
        $html = $html + '<div class="input-group mb-3">\n' +
            '  <input type="file" class="form-control form-control-sm" id="archivo_' + ($i * 1 + 1) + '" name="archivo_' + ($i * 1 + 1) + '">\n' +
            '  <label class="input-group-text form-control-sm" for="archivo_' + ($i * 1 + 1) + '">Archivo' + ($i * 1 + 1) +
            ' </label>\n' +
            '</div>';
    }
    document.getElementById('contenedor-archivos-adjuntos').innerHTML = $html;
}

function respuestasMS(ideMS) {
    $.ajax({
        // la URL para la petición
        url: '/ControlCeepam/web/app_dev.php/mesaServiciosRespuestas',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {
            ideMesSer: ideMS
        },
        // especifica si será una petición POST o GET
        type: 'GET',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById("contModalMS").innerHTML = '<div class="col-lg-12"><i class="fa fa-pulse fa-spinner" style="font-size: 1.5em;"></i></div>';
        },
        success: function (respuesta) {
            //alert("Correcto");
            document.getElementById("contModalMS").innerHTML = respuesta;

        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            document.getElementById("contModalMS").innerHTML = '|°__°|';
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
}

function guardarRespuestaMS(ideMS) {
    var resMS = document.getElementById('respuestaMS').value;

    if (resMS == "" || resMS == null) {
        swal("Alto", "La respuesta no puede ir en blanco.", "warning");
    } else {
        var form = document.getElementById('form-RMS');

        //console.log(form);
        var formData = new FormData(form);
        //var formData = new FormData();

        //var files = $('#fileRMS')[0].files[0];
        //formData.append('file', files);
        //formData.append('ideMesSer', ideMS);
        //formData.append('respuestaMS', resMS);

        console.log("IDE MS: " + formData.get('ideMesSer'));
        console.log("RESPUESTA MS: " + formData.get('respuestaMS'));

        $.ajax({
            // la URL para la petición
            url: '/ControlCeepam/web/app_dev.php/mesaServiciosRespuestas',
            // la información a enviar
            // (también es posible utilizar una cadena de datos)
            data: formData,
            contentType: false,
            processData: false,
            // especifica si será una petición POST o GET
            type: 'POST',
            // el tipo de información que se espera de respuesta
            dataType: 'html',
            // código a ejecutar si la petición es satisfactoria;
            // la respuesta es pasada como argumento a la función
            beforeSend: function () {
                document.getElementById("contenedor-lista-respuestas-ms").innerHTML = '<div class="col-lg-12"><i class="fa fa-pulse fa-spinner" style="font-size: 1.5em;"></i></div>';
            },
            success: function (respuesta) {
                //alert("Correcto");
                document.getElementById("contenedor-lista-respuestas-ms").innerHTML = respuesta;

            },
            // código a ejecutar si la petición falla;
            // son pasados como argumentos a la función
            // el objeto de la petición en crudo y código de estatus de la petición
            error: function (xhr, status) {
                alert('Disculpe, existió un problema');
                document.getElementById("contenedor-lista-respuestas-ms").innerHTML = '|°__°|';
            },

            // código a ejecutar sin importar si la petición falló o no
            complete: function (xhr, status) {
                //alert('Petición realizada');
                limpiarCamposRMS();
            }
        });
    }

}

function cerrarMS(ideMS) {

    if (confirm("Está a punto de CERRAR LA MESA DE AYUDA, ¿desea continuar?") == false) {
        swal("OK", "No se CERRÓ LA MESA.", "success");
    } else {
        $.ajax({
            // la URL para la petición
            url: '/ControlCeepam/web/app_dev.php/mesaServiciosCerrar',
            // la información a enviar
            // (también es posible utilizar una cadena de datos)
            data: {
                ideMesSer: ideMS
            },
            // especifica si será una petición POST o GET
            type: 'POST',
            // el tipo de información que se espera de respuesta
            dataType: 'html',
            // código a ejecutar si la petición es satisfactoria;
            // la respuesta es pasada como argumento a la función
            beforeSend: function () {
                document.getElementById("contenedor-lista-respuestas-ms").innerHTML = '<div class="col-lg-12"><i class="fa fa-pulse fa-spinner" style="font-size: 1.5em;"></i></div>';
            },
            success: function (respuesta) {
                //alert("Correcto");
                document.getElementById("contenedor-lista-respuestas-ms").innerHTML = respuesta;
                window.location.reload();


            },
            // código a ejecutar si la petición falla;
            // son pasados como argumentos a la función
            // el objeto de la petición en crudo y código de estatus de la petición
            error: function (xhr, status) {
                alert('Disculpe, existió un problema');
                document.getElementById("contenedor-lista-respuestas-ms").innerHTML = '|°__°|';
            },

            // código a ejecutar sin importar si la petición falló o no
            complete: function (xhr, status) {
                //alert('Petición realizada');
                limpiarCamposRMS();
            }
        });
    }

}

function limpiarCamposRMS() {
    document.getElementById('respuestaMS').value = "";
    document.getElementById('fileRMS').value = "";
}